## lscsoft-glue-4.0.0.tar.gz

=== test/Makefile ===
PYTHON ?= python

check : \
	lal_verify \
	test_pidfile \
	test_pipeline \
	;
	@echo "All Tests Passed"

define printpassfail
	{ echo "Pass" ; true ; } || { echo "Fail" ; false ; }
endef

%: %.py
	@echo "=== start $@ ===>"
	$(PYTHON) $< && $(printpassfail)
	@echo "<=== end $@ ==="

=== debian/changelog ===
lscsoft-glue (4.0.0-1) unstable; urgency=medium

  * update to 4.0.0
  * lots of library content, and all scripts, has been removed
  * removed lscsoft-glue-utils package
  * use pybuild-plugin-pyproject for building
  * update conflicts/obsoletes/replaces for Python package to
    properly only conflict with the external python3-glue package

 -- Duncan Macleod <duncan.macleod@ligo.org>  Fri, 01 Mar 2024 10:35:00 -0500

lscsoft-glue (3.0.2-1) unstable; urgency=medium

  * 3.0.2 Removes P2/P3 transitional packages

 -- Robert Bruntz <robert.bruntz@ligo.org>  Wed, 10 Jan 2024 04:55:00 -0500

lscsoft-glue (3.0.1-1) unstable; urgency=medium

  * 3.0.1 Removed Python 2 support and lots of unused code; much cleanup of code base

 -- Robert Bruntz <robert.bruntz@ligo.org>  Sat, 22 Jan 2022 17:27:00 -0500

lscsoft-glue (2.1.0-1) unstable; urgency=low

  * 2.1.0 deprecation update

 -- ryan fisher <ryan.fisher@ligo.org>  Fri, 11 Sep 2020 14:47:00 -0500

lscsoft-glue (2.0.0-1) unstable; urgency=low

  * 2.0.0 version update with many changes and removal of segments subpackage

 -- ryan fisher <ryan.fisher@ligo.org>  Wed, 20 Feb 2019 17:42:00 -0500

lscsoft-glue (1.59.2-1) unstable; urgency=low

  * jun 2018 1.59.2 removing old m2crypto import hiding in ldbdwclient.py

 -- ryan fisher <ryan.fisher@ligo.org>  Tue, 19 Jun 2018 12:19:00 -0500

lscsoft-glue (1.59.1-1) unstable; urgency=low

  * Jun 2018 1.59.1 release adding more python 3 package generation. 

 -- Ryan Fisher <ryan.fisher@ligo.org>  Thu, 8 Jun 2018 01:19:00 -0500

lscsoft-glue (1.59.0-1) unstable; urgency=low

  * Jun 2018 1.59.0 release for removal of old code and several packaging and
    python 3 updates.

 -- Ryan Fisher <ryan.fisher@ligo.org>  Tue, 5 Jun 2018 22:44:00 -0500

lscsoft-glue (1.58.2-1) unstable; urgency=low

  * March 2018 1.58.2 bug fix for 1.58 release with change to ligolw rows.

 -- Ryan Fisher <ryan.fisher@ligo.org>  Tue, 13 Mar 2018 15:08:00 -0500

lscsoft-glue (1.58.1-1) unstable; urgency=low

  * February 2018 1.58.1 release with correct package numbering.

 -- Ryan Fisher <ryan.fisher@ligo.org>  Tue, 20 Feb 2018 15:57:00 -0500

lscsoft-glue (1.58.0-1) unstable; urgency=low

  * February 2018 1.58.0 release to include python 3 and other updates.

 -- Ryan Fisher <ryan.fisher@ligo.org>  Tue, 20 Feb 2018 15:53:00 -0500

lscsoft-glue (1.57.0-2) UNRELEASED; urgency=medium

  * local package

 -- Leo Singer <leo.singer@ligo.org>  Tue, 12 Dec 2017 20:49:10 +0000

lscsoft-glue (1.57.0-1) unstable; urgency=low

  * O2 mid-run updated release to include change to ssl libraries and Kipp
    packaging change.

 -- Ryan Fisher <ryan.fisher@ligo.org>  Tue, 13 Jun 2017 17:14:00 -0500

lscsoft-glue (1.56.0-1) unstable; urgency=low

  * O2 mid-run updated release to include change to ssl libraries.

 -- Ryan Fisher <ryan.fisher@ligo.org>  Thu, 4 May 2017 17:14:00 -0500

lscsoft-glue (1.55.2-1) unstable; urgency=low

  * Added install_requires to python installation.

 -- Ryan Fisher <ryan.fisher@ligo.org>  Fri, 7 Apr 2017 18:14:00 -0500

lscsoft-glue (1.55.1-1) unstable; urgency=low

  * Fixes for Debian packaging.

 -- Ryan Fisher <ryan.fisher@ligo.org>  Thu, 6 Apr 2017 18:14:00 -0500

glue (1.55.0-1) unstable; urgency=low

  * O2 mid-run updated release. Change sdist name for PyPi compatibility.

 -- Duncan Brown <duncan.brown@ligo.org>  Thu, 6 Apr 2017 16:39:00 -0500

glue (1.54.0-1) unstable; urgency=low

  * O2 mid-run updated release. Updated python 3 compatibility fix from Leo to
    fix Debian package build for lalsuite.  Various updates from Kipp.

 -- Ryan Fisher <ryan.fisher@ligo.org>  Wed, 25 Jan 2017 16:14:00 -0500

glue (1.53.0-1) unstable; urgency=low

  * ER10 updated release. Python 3 compatibility from Leo, various updates
    from Kipp.

 -- Ryan Fisher <ryan.fisher@ligo.org>  Wed, 19 Oct 2016 16:14:00 -0500

glue (1.52.0-1) unstable; urgency=low

  * ER10 release of glue.

 -- Ryan Fisher <ryan.fisher@ligo.org>  Tue, 13 Sep 2016 08:54:00 -0500

glue (1.51.0-1) unstable; urgency=low

  * Pre-ER10 release of glue.

 -- Ryan Fisher <ryan.fisher@ligo.org>  Thu, 11 Aug 2016 18:06:00 -0500

glue (1.50.0-1) unstable; urgency=low

  * Pre-ER9 release of glue.

 -- Ryan Fisher <ryan.fisher@ligo.org>  Thu, 16 Jun 2016 17:37:00 -0500

glue (1.49.1-1) unstable; urgency=low

  * Pre-ER8 release of glue, attempt2.

 -- Ryan Fisher <ryan.fisher@ligo.org>  Thu, 23 Jul 2015 16:37:00 -0500

glue (1.49-1) unstable; urgency=low

  * Pre-ER8 release of glue.

 -- Ryan Fisher <ryan.fisher@ligo.org>  Wed, 22 Jul 2015 16:37:00 -0500

glue (1.48-1) unstable; urgency=low

  * ER7 release of glue.

 -- Ryan Fisher <ryan.fisher@ligo.org>  Fri, 22 May 2015 12:37:00 -0900

glue (1.47-2) unstable; urgency=low

  * added missing python modules to python-glue.install

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Thu, 11 Dec 2014 11:30:00 +0100

glue (1.47.1-1) unstable; urgency=low

  * ER6 pre-release of glue, bug fix for dmt-files method of
    ligolw_segment_query for Kipp API change.

 -- Ryan Fisher <rpfisher@syr.edu>  Wed, 19 Nov 2014 16:14:00 -0500

glue (1.47-1) unstable; urgency=low

  * ER6 pre-release of glue.

 -- Ryan Fisher <rpfisher@syr.edu>  Thu, 13 Nov 2014 16:14:00 -0500

glue (1.46.2-1) unstable; urgency=low

  * Making new version to match tag number.

 -- Ryan Fisher <rpfisher@syr.edu>  Tue, 6 May 2014 14:14:00 -0500

glue (1.46.1-1) unstable; urgency=low

  * Adding glue.datafind to debian package.

 -- Ryan Fisher <rpfisher@syr.edu>  Tue, 6 May 2014 11:14:00 -0500

glue (1.46-1) unstable; urgency=low

  * ER5 release of glue.

 -- Ryan Fisher <rpfisher@syr.edu>  Tue, 3 Dec 2013 4:00:00 -0500

glue (1.45.1) unstable; urgency=low

  * ER4 release of glue, with spec file match.

 -- Ryan Fisher <rpfisher@syr.edu>  Tue, 2 Jul 2013 10:50:00 -0500

glue (1.45) unstable; urgency=low

  * ER4 release of glue.

 -- Ryan Fisher <rpfisher@syr.edu>  Tue, 2 Jul 2013 10:23:00 -0500

glue (1.44.1) unstable; urgency=low



=== debian/control ===
# -- source package -----------------------------

Source: lscsoft-glue
Section: python
Priority: optional
Maintainer: Steffen Grunewald <steffen.grunewald@aei.mpg.de>
Homepage: https://git.ligo.org/lscsoft/glue/
Build-Depends:
 debhelper (>= 9),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all (>= 3.6),
 python3-lal,
 python3-ligo-segments,
 python3-matplotlib,
 python3-numpy,
 python3-setuptools,
 python3-six,
X-Python3-Version: >= 3.5
Standards-Version: 3.9.8

# -- python 3 packages --------------------------

Package: python3-lscsoft-glue
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-ligo-segments,
 python3-numpy,
 python3-openssl,
 python3-six,
Recommends:
 python3-lal,
Conflicts:
 python3-glue,
Description: Grid LSC User Environment Python 3 library
 Glue (Grid LSC User Environment) is a suite of python3 modules and programs to
 allow users to run LSC codes on the grid.
 .
 This package provides the Python 3 library

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

# Run unit tests.
export PYBUILD_AFTER_TEST := env \
	PYTHONPATH={build_dir} \
	PYTHONDONTWRITEBYTECODE=1 \
	make -C {dir}/test PYTHON={interpreter}

%:
	dh $@ --with=python3 --buildsystem=pybuild
